﻿using nrw.frese.stonepile.block;
using nrw.frese.stonepile.blockentity;
using nrw.frese.stonepile.item;
using Vintagestory.API.Common;

namespace nrw.frese.stonepile
{
    public class StonePileMod : ModSystem
    {
        public override void Start(ICoreAPI api)
        {
            base.Start(api);
            api.RegisterBlockClass("BlockStonePile", typeof(BlockStonePile));
            api.RegisterBlockClass("BlockOreUngradedPile", typeof(BlockOreUngradedPile));
            api.RegisterBlockClass("BlockQuartzPile", typeof(BlockQuartzPile));

            api.RegisterBlockEntityClass("BlockEntityStonePile", typeof(BlockEntityStonePile));
            api.RegisterBlockEntityClass("BlockEntityOreUngradedPile", typeof(BlockEntityOreUngradedPile));
            api.RegisterBlockEntityClass("BlockEntityQuartzPile", typeof(BlockEntityQuartzPile));

            api.RegisterItemClass("ItemPilableStone", typeof(ItemPilableStone));
            api.RegisterItemClass("ItemPilableOre", typeof(ItemPilableOre));
            api.RegisterItemClass("ItemPilableQuartz", typeof(ItemPilableQuartz));
        }
    }
}
